function res = bc(YL,YR,Power,Lb,Ls,h,emissivity,Ts,kmat,kso)
% Boundary (and internal) conditions
%Yleft is the left boundary of the region.
%YL(a,b) means leftof x and a= 1 means T and 2 means dT/dx, b=the region
%number.
res = [ YL(1,1)-300     % Tanchor(0) = 20
    YR(1,1) - YL(1,2)   % continuity of T(x) at x = La Tanchor=Tbeam
    YR(2,1) - YL(2,2)   % continuity of flux x = La
    YR(1,2) - YL(1,3)   % continuity of T(x) at x = La+Ls
    YR(2,2) - YL(2,3)   % continuity of flux x = La+Ls
    YR(1,3) - YL(1,4)   % continuity of T(x) at x = La+Ls+Ld
    YR(2,3) - YL(2,4)   % continuity of flux x = La+Ls+Ld
    YR(2,end)    ];     % Insulated at x = Lbeam dTbeam/dx =0
end